Bug 117127 - error when reading the value of a variable in the IDE (crash)
Summary: error when reading the value of a variable in the IDE (crash)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
5.0 all versions
Hardware: x86-64 (AMD64) All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.0.7 target:6.1.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-04-20 16:22 UTC by emilio
Modified: 2018-08-15 15:32 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["SwXTextTable::getData()"]


Attachments
organization template (101.96 KB, application/vnd.oasis.opendocument.text)
2018-04-20 16:22 UTC, emilio
Details
basic IDE (123.54 KB, image/png)
2018-04-24 04:58 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description emilio 2018-04-20 16:22:44 UTC
Created attachment 141505 [details]
organization template

the error occurs when I try to see the value of the variable "miTabla", inside the procedure "AddFileTableRF()".

when clicking on the value the exception is thrown (buttom + of ide)
Comment 1 raal 2018-04-21 15:27:47 UTC
Hello, how can I reproduce the bug? I doesn't see function AddFileTableRF in the attached file.
Comment 2 emilio 2018-04-21 19:20:45 UTC
sorry, the name of the procedure is "Sub AnadirFilaTablaRF()"



I also report another error, if I declare the "LeyTConcepto()" array, (1409 elements), exceptions occur. To solve it, I have to declare the array in two parts (LeyTConceptotemporal1(),  and LeyTConceptotemporal2()). 

unexperienced exceptions occur and the values ​​contained in the matrix are false/error, This occurs when declaring the matrix with the 1409 elements.
Comment 3 emilio 2018-04-23 06:49:10 UTC
(In reply to raal from comment #1)
> Hello, how can I reproduce the bug? I doesn't see function AddFileTableRF in
> the attached file.

sorry, the name of the procedure is "Sub AnadirFilaTablaRF()"
Comment 4 raal 2018-04-24 04:57:18 UTC
I can reproduce the crash with following steps:
 - open IDE -> Module1 -> Sub AnadirFilaTablaRF()
 - set break at line 321
 - run the macro 
 - confirm message ¿Realmente quiere agregar una imagen?  -> Yes
 - program stop at line 321
 - copy miTabla to watch pane
 - click on rectangle to show miTabla's properties

  Crash

Version: 6.1.0.0.alpha0+
Build ID: 5bc6a7629fbcadb634b1c2e6ba2c931a15d353a8
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3; 

error in console:
(soffice:23133): GLib-GObject-WARNING **: /build/glib2.0-prJhLS/glib2.0-2.48.2/./gobject/gsignal.c:3486: signal name 'selection_changed' is invalid for instance '0x3041ec0' of type 'OOoAtkObjCompTxtEdt'


no crash in 4.1, regression
Comment 5 raal 2018-04-24 04:58:27 UTC
Created attachment 141583 [details]
basic IDE
Comment 6 Xisco Faulí 2018-04-24 21:29:40 UTC
Regression introduced by:

author	Bjoern Michaelsen <bjoern.michaelsen@canonical.com>	2015-03-30 01:26:21 +0200
committer	Bjoern Michaelsen <bjoern.michaelsen@canonical.com>	2015-03-30 23:20:10 +0200
commit	f86d0413f7cedf096b285c2eb6698653dd99c21e (patch)
tree	b9af9a3991c579d52cef148c669b39890ea4ab4f
parent	439ca5309f7e7659802f7fef44c8690fa099ac22 (diff)
SwXCellRange:: and SwXTextTable::getDataArray() do the same

Bisected with: f86d0413f7cedf096b285c2eb6698653dd99c21e

Adding Cc: to Bjoern Michaelsen
Comment 7 Xisco Faulí 2018-04-24 21:30:37 UTC
@LeMoyne Castle, this is a similar issue to bug 107350. I thought you might be interested in this one...
Comment 8 Commit Notification 2018-08-14 13:37:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a6ca38e610df2536c07d92a0fa87340886bbdf7d

tdf#117127 crash on inspecting value describing a table

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Caolán McNamara 2018-08-14 13:42:09 UTC
backports to 6-1 and 6-0 in gerrit
Comment 10 Xisco Faulí 2018-08-15 15:13:47 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 5779b4966954d845f3c526c340bdee8c6a92ef95
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Caolán, thanks for fixing this!!
Comment 11 Commit Notification 2018-08-15 15:31:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=30be37d5919024992a81603494a81f0fb1d8f775&h=libreoffice-6-0

tdf#117127 crash on inspecting value describing a table

It will be available in 6.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2018-08-15 15:32:46 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=31374100da4062eab9cdd171cea27c0965ded5ac&h=libreoffice-6-1

tdf#117127 crash on inspecting value describing a table

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.